import request from '@/utils/request'

// 查询会员标签列表
export function listTag(query) {
  return request({
    url: '/account/tag/list',
    method: 'get',
    params: query
  })
}

// 查询会员标签详细
export function getTag(uid) {
  return request({
    url: '/account/tag/' + uid,
    method: 'get'
  })
}

// 新增会员标签
export function addTag(data) {
  return request({
    url: '/account/tag',
    method: 'post',
    data: data
  })
}

// 修改会员标签
export function updateTag(data) {
  return request({
    url: '/account/tag',
    method: 'put',
    data: data
  })
}

// 删除会员标签
export function delTag(uid) {
  return request({
    url: '/account/tag/' + uid,
    method: 'delete'
  })
}
